===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes
===============================================================================


INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       13 March 2023


TO:         Intel(R) Server Board S2600


SUBJECT:    Integrated BMC(R) firmware 2.88 release notes

===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation.


*Other names and brands are the property of their respective owners.


Copyright (c) 2023 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: Purley_2.88.71773d70.bin
Built from git revision: 71773d7013029c8e907c820471d93c6dca169454

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   2.88.71773d70

Device ID:          0x22
Manufacturer ID:    0x000157

SHA1 checksum:
    Purley_2.88.71773d70.bin: 220ccac743de1de5936c71f6ce28ceb5a99a591f

JAVA Certificate:
from:    Thu Sep 08 08:00:00 CST 2022 UTC/GMT+08:00
until:   Sat Sep 09 07:59:59 CST 2023 UTC/GMT+08:00

Redfish Specification: DSP0266 v1.7
Redfish Schemas:       DSP8010 v2019.1

Embeds firmware files for the following components:
Power Supplies
    1100ADU00201 00: 54.1.1
    1100ADU00201 01: 54.1.1
    1100ADU00201 02: 54.1.1
    1100ADU00201 03: 54.1.1
    1100ADU00201 04: 54.1.1
    1100ADU00201 05: 54.1.1
    1100ADU00201 S3: 54.1.1
    DPS-1200TB A 00: 77.39.4
    DPS-1200TB A 02: 89.40.6
    DPS-750AB32A S0: 33.3.3
    DPS-750XB A  S4: 100.39.5
    DPS-900AB-5 E 00: 13.13.0
    DPS-900AB-5 E S3: 12.12.0
    PSSF132202A  00: 23.5.0
    PSSF132202A  01: 23.5.0
    PSSF132202A  03: 25.5.0
    PSSF132202A  05: 29.5.0
    PSSF132202A  S3: 23.5.0
    PSSF162202A  00: 75.9.0
    PSSF162202A  01: 75.9.0
    PSSF162202A  02: 75.9.0
    PSSF162202A  03: 75.9.0
    PSSF162202A  04: 75.9.0
    PSSF162202A  05: 78.9.0
    PSSF162202A  06: 78.9.0
    PSSF162202A  07: 78.9.0
    PSSF162202A  08: 78.9.0
    PSSF162202A  09: 78.9.0
    PSSF162202A  11: 78.9.0
    PSSF162202A  11: 78.9.0
    PSSF162205A  00: 18.4.0
    PSSF162205A  01: 18.4.0
    PSSF162205A  02: 18.4.0
    PSSF212201A  00: 16.3.0
    PSSF212201A  01: 16.3.0
    PSSF212201A  02: 16.3.0
    PSSF212201A  03: 16.3.0
    PSSF212201A  S3: 12.3.0
    PSSF222201A  S4: 33.0.0

Hot Swap Backplane
    V1 HSBP: 1.33
    V1 HSBP: 1.22
    V2 HSBP: 2.08
    V2 HSBP: 2.09



Firmware Update Tools:

* NOTE  The PSSF222201A 00A or newer identifies itself as a PSSF222201A S4 internally.
Please use that firmware version when referencing that PSU.
-------------------------------------------------------------------------------

===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1.  BMC firmware
2.  BIOS/Manageability Engine (ME) firmware (as directed in BIOS Release Notes)
3.  FRU/SDR package specific to the baseboard.
4.  NIC EEPROM

===============================================================================
                            INSTALLATION PROCEDURE
===============================================================================
There are two supported ways to update the BMC firmware.
You may opt to use the Web UI or the legacy UEFI method.

Web GUI update
1. Unzip the package onto your system
2. Log into the BMC web UI
3. Navigate to Configuration, then Firmware Update
4. Click browse, and direct the browser to the location of Purley_2.88.71773d70.bin
5. Click upload.  Progress and status will be shown as the update progresses


UEFI update
1.  Unzip package and load onto a flash drive
2.  Boot to UEFI shell, and navigate to the folder where this package lives
3.  Run fwUpdateBMC.nsh and follow prompts

===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================
Upgrade of BMC FW from version 2.88 to later
versions will be documented in the release notes for those versions.

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Always observe caution when downgrading firmware.

Downgrading below 0.57 is not supported due to a security header change.

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================

    WARNING: This release disables RMCP authentication by default.  ipmitool uses
    RMCP by default, so it will fail to authenticate.  Add the '-I lanplus' parameter
    to all ipmitool commands to use RMCP+ instead.

    WARNING: This release disables the BMC PCIe bridge.  This will cause a
    majority of operating systems to fail to boot as they stall during video
    driver init.
    More information can be found in the defect below:
    1209995146 - Host OS fails to boot when AST2500 P2A bridge is disabled.

    WARNING: When using IPMI to establish a SOL session using KONSOLE:
        A. The "Delete" input cannot be captured when pressing "Backspace"
           Workaround: Modify the "Backspace" key to "0x08" in the KONSOLE profile
                       keyboard settings
        B. Resizing a KONSOLE window with an active SOL session can cause the content
           to overlap
           Workaround: None. Recommend using the Java SOL Viewer instead of KONSOLE

    Steps to recover a failing OS:
    Linux variants (one of the below):
        A. Ensure that the nomodeset parameter is set in your boot loader (grub) config.
        B. Ensure that you are using a kernel version of 4.10 or above

    Windows variants:
        Boot to safe mode, and load aspeed video driver v1.03 or greater and reboot

    Redfish API:
        Redfish API POST requests using a browser extension or plugin will fail if the
        extension manipulates the HTTP(S) Origin header. This affects REST clients which
        are implemented as browser (chrome, Firefox) plugins or extensions such as the
        older versions of Postman. It is recommended to use Postman version 6.0 or later.

        For security purposes, the BMC Redfish API requires that if a HTTP Origin header
        is present, the host portion of the Origin header must match the HTTP Host header.
        Some browser based REST clients alter the Origin header preventing their use with
        the BMC.

    WARNING: Start from BMC v1.89, by default BMC only enables cipher suite 17, to use that,
    you must add "-C 17" in command with ipmitool v1.8.18 or above.

    WARNING: Start from BMC v2.21, When KCS control mode is put in restricted and deny all mode,
    BMC EWS CPU and DIMM page displays blank or last  DC on configuration information.

    WARNING: IPMIUtil can not support user password length larger than 16 bytes.

    WARNING: When KCS policy control mode is configured as "Deny All", BMC and FRUSDR cannot be
    upgraded/downgraded as expected behavior.
    For Purley and Purley-R, KCS Policy control mode is enabled since BIOS version R02.01.0009.

    WARNING: Start from BMC v2.86, BMC does not allow upload .key files and only accepts .pem 
    file for SSL certificate. 
            
    If uploaded SSL Certificate or Key files fail to format checking, BMC will remove the invalid
    format file before starting BMC EWS, and re-generate a self-signed certificate to ensure the
    BMC EWS can boot up successfully.
    
    WARNING: Start from BMC v2.88, Purley only support SSL certificate which is equal to or longer
    than 2048 bit.

    WARNING: A security issue HSD(16015511567) is fixed in Purley platform. BMC credential is 
    required to access files in internal virtual media from BMC v2.88.
    
    Issue title: [Purley][Internal Virtual Media] Files in internal virtual media are accessible 
    without BMC credential (#214)

    WARNING: Start from BMC v2.88, implemented CCB3458 that [BMC]Active Directory should allow
    domain name and user name longer than 16 characters.

    The AD Setting would be cleared after downgrade to v2.86 or lower version BMC if the Domain Name
    is equal to or longer than 32 characters.

===============================================================================
                        MISC
===============================================================================
        Vers       BMC Version      Changes…
        v1.60      1.60.e246a6c7  Branch point for Q2 release.
                                  [CCB 2434i]: Implement 0xD5 return code when user requests power on and system is already on
                                  This version had bug causing reset to factory defaults after AC cycle.
        v1.60a     1.60.94f537e6  Fixes reset to factory defaults issue after AC Cycle
        v1.60b     1.60.06d720bf  Add new FW for HW rev S3 of 1100w PSU.
        v1.60c     1.60.56383bef  Remove obsolete PSU fw 1100ADU00201_S3_1_1_32.bin.


===============================================================================
                                    CHANGES
===============================================================================
V2.88
  Upgrade kernel to 4.9.326
  Upgrade kernel to 4.9.294
  CCB3457:[BIOS & BMC]Bypass BIOS admin password when FORCE_EFI_BOOT or SILENT_FORCE_EFI_BOOT is detected
  CCB3458:[BMC]Active Directory should allow domain name and user name loner than 16 characters
  CCB3459:When updating BMC and BIOS, browser should limit search to .bin and .cap files respectively
V2.86
  Upgrade kernel to 4.9.282
V2.82
  CCB3388: Add one additional type to CCB 3245 to log AMT and PPR to SEL
  CCB3389: Need SEL for runtime PPR request
  CCB3402: Internal Virtual Media Image with file upload/download
  CCB3403: Redfish and EWS Virtual Media IMG & ISO support over NFS/SAMBA/Local
V2.67
  CCB3245: Log AMT and PPR results in SEL
V2.62
  CCB3158: Integrate BMC features developed by InSyde
  CCB3275: Storage/Networking as SMBIOS extensions and displayed in BMC via Redfish/EWS
V2.59
  CCB3059: 900 W DC Power Supply
  CCB3156: Add NTP and World Clock to BMC
  CCB3209: Option to retain user info and IP settings after firmware factory reset
V2.56
   CCB3109: BIOS Settings should persist in BMC after BMC reset
V2.49
   CCB3035: [WKP] Display the power consumption in EWS and support IPMI commands to get power consumption
V2.43
   CCB3098: [WKP] remove CCB2776 for new BKC17(previously BKC10)
V2.34
    CCB2762: [BIOS/BMC Q3'19] BIOS requried support for PSME 2.4 including RSD 2.4 extensions
V2.33
    CCB2880: BMC FW Cipher Suite Policy Control
V2.28
    CCB2572: Mount local file folder by RKVM, only JAVA
    CCB2717: [BMC Q3'19] Support SSL upload via Redfish
    CCB2764: Periodic heartbeat for reporting health
    CCB2767: [BMC Q3'19] Redfish - Enable BMC LAN configuration
V2.27
    CCB2776: Walker Pass/ Optimus Beach: BMC node/chassis cooling type config verification
V2.26
    CCB2768: [BMC Q4'19] Redfish - Download debug log
V2.00
    CCB2546: [Purley BMC Redfish] Add additional eventing to Redfish support
    CCB2645: [Purley BMC Q2'19] Support virtual media

v1.99
    CCB2570: Complex BMC Password

V1.98
    CCB2538: Customers Cray require i2c write access for management of their proprietary or 3rd party PCIe hardware
    CCB2573: Point release for Cray to unblock deploy based on Q3 BMC 1.74 + CCB 2538
    CCB2700: Point release to resolve BMC network problem from lan disabling under BIOS and MAC address problem

v1.89
    Add RMCP+ Cipher Suite3 Configuration in ews security configuration page. Cipher Suite 3 is disabled by default with this patch in the commit messge.

v1.75
    Update 750W DPS-750AB32A PSU fw image from 27 to 33.

v1.72
    CCB2247: Q3'18 [Purley BMC]HTML5 support
    CCB2202: Q3'18 [BMC]Need log to track user/IP logins to BMC

v1.71
    Q3'18 #CCB2496 provide robust method to indicate the Factory BMC and Webpost BMC at Factory BFT

v1.70
    BIOS OOB updating feature.

v1.67
    implement Pcie Switch Firmware update function for WRG JBOF2.
    EWS support for CCB2357.
       [CCB2357]: Provide capability to bond LAN interface for LAN failover and define which BMC channel will be primary.

v1.65
    Upgrade kernel to 4.9.111.

v1.64
    [CCB2357-phase 4]Provide capability to bond LAN interface for LAN failover and define which BMC channel will be primary.

v1.62
     Redfish support of FW updating.

v1.61
     Add new FW for HW rev S3 of 1100w PSU.

v1.60
     [CCB 2434i]: Implement 0xD5 return code when user requests power on and system is already on

v1.59
     [CCB2267] Provide interface to list MAC address of PCIe NIC card.

v1.58
     Align Purley OEM Misc sub commands with Grantley
     Put TPM command under MTM2.

v1.57
    Upgrade kernel from 4.9.79 to 4.9.98.

v1.54
    CCB2201: Adding the OpenLDAP support with version 2.4.45

v1.53
    Add the FW of 1600W 185mm PSU.
    [CCB 2257] add OEM command to gracefully power cycle the machine.
    Add factory build configuration.

v1.52
    The new FW for 1300w PSU(Rev 0x17).

v1.51
    Adds security enhancements
    Fixes WRG-JBOF CFM calculation with master node off
    CCB2166: Limits access to I2C Write commands with a special MTM Operator mode

v1.50
    Adds security enhancements
    Enables Remote JTAG on BMP

v1.49
    Redfish: Updates XML Metadata to version 2017.3
    Adds security enhancements
    Adds capability to get the number of CPU Error logs generated since last boot
    CCB2118: Adds support for new FRU VPD format in NVMe MI 1.2 drives
    Updates WRG-JBOF SDR
    Redfish: Implements OEM features for the Computer System schema
    Redfish: Adds ProcessorMetrics and MemoryMetrics data

v1.48
    CCB2140: Adds sensor for absolute CPU temperature to WFP and WFFR
    Adds Remote Debug sensor support for WFFR
    Updates to kernel patch 4.9.78
    Adds remote JTAG authentication
    Adds security enhancements
    CCB1954: Adds PECI remote debug support
    Adds a second debug type for CPU logs

v1.47
    CCB2140: Adds sensor for absolute CPU temperature to BMP, BNP, STP, and BNP SFP+
    Adds security enhancements
    Upgrades to Linux Kernel 4.9
    Redfish: Enables RSD extension IPMI commands
    Updates PSSF222201A revision S4 firmware to 20180117 version
    Updates WRG-JBOF SDR for spreadsheet 0.95
    Increments BMC global security revision

v1.46
    Redfish: Fixes Computer System PowerState reporting
    Adds Remote Debug sensor support for BMP
    Adds security enhancements

v1.45
    Redfish: Includes NVMe Critical Warning data into Redfish drive health
    Adds SSD's Fault and rebuild status of PCIE Switch feature
    Updates voltage sensor config for WRG-JBOF
    Redfish: Updates XML to version 2017.2 (2 October 2017)
    Fixes timestamp issue for WRG-JBOF
    Restores factory defaults if an image is copied from another board
    Redfish: Implements the EthernetInterfaces for the BaseBoard NIC

v1.44
    Fixes shared fan will not arise speed during BMC update for WRG-JBOF
    CCB2006: Adds WFFR BMC sensor and handler for CPU ERROR_N[0]
    Redfish: Implements remaining specified drive elements
    Redfish: Fixes Reset and Boot operations
    Updates SDR for WRG-JBOF
    Redfish: Improves Drive Schema to correctly report HSBP and slot
    Redfish: Implements HDD IndicatorLED status for Redfish

v1.43
    CCB2183: Changes immediate power off to power button override instead of PCH command
    Adds Fan Fault LED support for WRG-JBOF
    Adds support for UART break over SOL
    Adds option to print date/time timestamp on BMC serial logs
    Fixes an I2C master-slave switch bug
    Enables Redfish access for WRG-JBOF
    Removes ME SDR entry for WRG-JBOF

v1.42
    Improves EWS Help Text
    Updates PSSF132202A revisions 00A and 01A firmware to 20171204 version
    Updates FCT SDR for BMP
    Adds a placeholder for the "uncore_status_regs" section of the JSON CPU debug log

v1.41
    Enables Klocwork on JTAG source
    Updates WRG-JBOF default SDR
    Redfish: Adds eventing support for Power Unit and SMI Timeout sensors
    Redfish: Improves Drive links in Storage and Chassis schemas
    Redfish: Implements PSME Memory Get schema
    Updates to kernel patch 3.18.85

v1.40
    Updates PSSF162202A all revisions firmware to 20171030 version
    Improves Redfish
    Adds new IPMI command to get system drive info (0x30 0xD2)
    Adds SQ Dump to the CPU debug log
    CCB1937: Adds support to enable/disable remote media ports and http and https separately

v1.39
    Updates PSSF222201A firmware to 20170919 version
    Enables the 3.3V Bridge circuit for BMP
    Disables the EWS and KVM for WRG-JBOF

v1.38
    Fixes acquiring Redfish version number
    Updates WRG-JBOF default SDR
    Specifies OEM byte 2 in FW update SEL log
    Disables USB for WRG-JBOF
    Updates PSSF162202A firmware to 20171030 version

v1.37
    Improves VMViewer thread stability
    Updates toolchain to include glibc-2.26
    Updates WRG-JBOF sensor config
    WRG-JBOF uses default SDR when no FRUSDR package is loaded
    BMC JTAG improvements
    CCB2125: Removes TLS 1.0 and 1.1 from the web server
    CCB1904: Adds support for the new rev -002 Riser 3 card
    Changes IKVM to use TLS 1.2
    Changes lpc init to fix WRG-JBOF power-on issue

v1.36
    Fixes platform configuration threshold check
    Enables servicing redfish requests even without EWS
    Updates to kernel patch 3.18.77
    Updates WRG-JBOF SDR to v0.7 config sheet
    CCB1920: Adds new JSON file with new debug sections to the BMC Debug Log

v1.35
    Fixes power status after pressing power button on WRG-JBOF
    CCB2124: Disables RMCP by default. RMCP+ must be used instead ('-I lanplus' in ipmitool, see note above).

v1.34
    Improves JTAG debug
    Updates FOS and Protex builds
    Updates to msmtp-1.6.2
    Enables command to set console password for WRG-JBOF under MTM2

v1.33
    Fixes disabled Java input after privilege change
    CCB2057: Adds OEM IPMI command to dump BIOS POST codes
    Fixes SPI training to increase SPI clock up to 50MHz
    VMViewer improvements
    Updates kernel patch to 3.18.72
    Updates to dhcp-4.3.6
    Updates to Dropbear 2017-75
    Updates PCRE to 8.41
    Updates to glibc 2.25

v1.32
    Adds command to support RSD testing
    Fixes WRG-JBOF boot issue
    Updates JTAG debug
    ME events trigger the status LED until the next DC on
    Updates PSoC firmware to 1.33 and 2.08
    Changes default static IP to 172.16.10.10
    Updates WRG Default and FCT SDR
    Fixes IKVM JavaAP blocked while changing the mouse mode
    Forces dedicated NIC to be LAN Channel 3
    Updates RSD command support

v1.31
    Adds Redfish Front Panel improvements
    Updates WRG-JBOF configuration
    Updates Intel ME event severity list
    Fixes Web SMTP user field to accept numbers
    Adds IKVM video server improvement
    Adds PCIe switch sensors to WRG-JBOF
    VMViewer shared library and script updates
    Imports the newest Redfish
    Implements sending events to RCMD

v1.30
    Adds PinMux driver for multifunctional GPIOs
    Fixes IKVM cursor with scaling and quick cursor
    Replaces OS Interrupt Control with valid mutex protection

v1.29
    Adds new FPGA VR Temp sensor for BMP

v1.28
    Fixes max PWM issue on Starlight
    Adds support for PCIe debug card
    Updates RSD to meet the 2.2 spec
    Adds AIC aggregate sensor for WRG-JBOF
    Updates Redfish OEM command

v1.27
    Fixes abnormal Auto CFG Sensor(0x87) log and LED status
    Enables support for ID button long-press
    Changes BNP fans to manual re-arm
    Disables web server in JBOF
    Updates Mac native lib to 2.4.8
    Corrects HSBP slot check when getting state
    Updates curl library to 7.54.1

v1.26
    Adds White River Glacier shared fan support
    Adds bootloader option for SOC Flash

v1.25
    Bug fixes only

v1.24
    Cleans up the debug log
    Fixes Fultondale NVMe VPD collection

v1.23
    Fixes slave recieve over buffer bug
    Fixes failsafe PSoC firmware image selection
    Adds Nimble PMBus switch support
    Adds mid-plane and docking board FRU support
    Adds support for storing MAC addresses of systems without NCSI

v1.22
    Adds RSD cable support
    Fixes an error with PECI retries
    Fixes an error when getting a MAC address in a Static configuration
    Updates Redfish implementation
    Improves response of Get BMC Watchdog command

v1.21
    Adds JTAG support for 4-socket systems
    Updates WRG SGPIO
    Adds Nob Rock platform
    Restricts SDR config file commands to Operator
    Fixes multi-node IPMB address assignment
    Adds WRG Front Panel temp sensor
    Adds RSD command support over KCS in MTM2
    Enables liquid cooling support
    Updates to lighttpd 1.4.45
    Improves NVMe VPD logic
    Adds Redfish UUID command
    Fixes 'next_reboot' in VMViewer

v1.20
    First post-SRA release
    Redfish enabled by default
    Starlight development
    Invert FPGA GPIO
    Remote jtag development
    Updates PSoC firmware
    Adds support to disable external USB ports
    Improves debug logging
    Improves IPMB timeout behavior
    Enhances I2C logic
    Fixes VMViewer encryption capability
    Fixes CPU2 FPGA CATERR
    Adds authentication to remote jtag
    Updates 1600W, 1300W, and 1100W firmware
    Adds support to limit KVM and USB based on RMM4
    Fixes memory leak and kernel panic cases
    Adds upgrade debug support for PSOC and PSU
    Fixes multi-node configuration logic
    Fixes open-source release package
    Adds Aspeed patch
    Updates to meet security requirements
    Fixes IPV6 EWS input fields
    Make I2C bus enabling configurable with delayed initializaion
    RSD enabled by default

v0.76
    Optimizes internal bus
    Cleans up duplicate syntax SEL message
    Updates 1600W firmware

v0.75
    Updates 1300W S3 firmware
    OEM EWS customization certificate and logging updates
    Updates PSoC firmware

v0.74
    Enable CPU Crashdump on IERR events
    Beep code and status LED support for FPGA errors
    Corrected https service status when enable/disable
    Fixes STP HSPB FRU display
    OEM EWS customization size limitations
    Improves faulty NVMe drive handling
    Fixes KVM timestamp in view-only mode
    Reduces ADC clock to 190KHz
    Changes to jtag server for WFC boards

v0.73
    Updates to KVM client application implementation
    Adds support for WFP Fab8 ADC changes

v0.72
    Changes to FPGA handling for thermal trip
    Fixes an issue with specific memory LEDS failing to light
    Updates version of busybox present on platform
    Total number of IERRs is now tracked correctly

v0.71
    First implementation of FPGA error dumping for FPGA CPUs
    Web browser now supports encoding of passwords correctly
    Cold redundancy settings are now persisted correctly through BMC updates
    Changes to jtag server for WFC boards

v0.70
    Changes to power control subsystem fault handling
    VLAN IDs now support the full range of values (previously was 0-255)
    Remote media now supports IMG files

v0.69
    Autoprofile routines are now recomputed after SDR load
    Logical change to SOL logging
    changes to mouse handling in KVM
    Changes to FPGA error logging for BMP
    Web server now properly rejects eroneous hostnames
    Changes to jtag socket server for WFC boards

v0.68
    Changes to support WRG POST code logging
    Compiler flag hardening to prevent internal attacks (no external impact)
    Restore configuration command is now supported in safe mode

v0.67
    Changes to BMC signing mechanisms
    Changes to PECI retry mechanisms
    WFC jtags server now detects XDP presence
    Initial starlight 2 support
    AIC FRU size changes to 256 bytes


v0.66
    Bug fixes only

v0.65
    Change to Cold redundancy rank ordering
    attempts to use PECI write now trigger an error
    Supports port 80 post code on WRG
    Changes to jtag suppoort for XDP header

v0.64
    Eliminates false NVME events under certain power on conditions
    BNP chassis identifier logic changed to be consistent with other platforms

v0.63
    Changes OCP module FRU address to match correct (current) OCP design.
    Improvement to POST code reading to remove possible lock conditions
    Changes to HSBP sensor power state handling
    Utilizing non-Intel NVME drives now reduces functionality.
    FCT and Default SDRs now have correct version numbers
    Changes to Jtag XDP present functionality to work correctly when XDP header is in use.

v0.62
    Consequtive reboots on processor IERR are now handled appropriately
    Updates to HSBP PSOC image
    Changes to internal SPI driver to resolve lockup conditions
    Fixes to PEF filter default behavior
    Remote media adds IMA/IMG option
    Updates to EWS translations for non-english strings


v0.61
    AIC FRU size is adjusted to 1024 byte to support cards with larger FRUs
    First release supporting Wolf Pass cluster JTAG functionality
    Fixes issues with virtual media and some ISO files
    Decreases KVM java heap size down to 256MB (from 1GB)
    Locks down stage 1 boot loader for security
    Number pad now works in KVM
    Imposes a "one time use" requirement on JNLP files

v0.60
    Changes to PSU status reporting
    Changes to fix issue with IMA files used in virtual media
    BNP now supports Aggregate margin 2 sensor
    Get system parameter command is now supported
    Updates 1300W S3 power supply firmware image

v0.59
    Changes to I2C driver to better handle lockups
    Removes code that changes status LED based on ME/BIOS SEL entries
    IERR events now log correctly in the SEL
    Console login password now supports disabling serial login
    Updates security headers in web server
    User ID 2 no longer enforces username/password requirements
    Changes to jtag driver
    Changes to HDD presence driver
    Changes to "set system boot option" command to support more of the newest IPMI spec
    Updates PSU image for certain power supplies
    Updates to web server endpoint validation
    Improvements to DIMM information in web server


v0.58
    jtag test app (MFG only) now prings id codes of devices found
    reverts changes to USB driver that caused USB firmware update to fail
    FIVR sensor now deasserts on boot
    Safari browser now responds to the window close event properly
    BMC sel log no longer reports FAN critical errors during AC/DC cycle
    Updates to HSBP temp sensor
    MTM1 mode no longer times out after 5 minutes

v0.57
    Voltage sensors now have a configurable delay time before readings are considered valid
    Changes to firmware update procedure to improve reliability
    BMP now supports FPGA thermal trip
    Fixes to Typos in web interface
    Some startup scripts no longer log errors internally when starting (no external impact)
    SOL JNLP file can now only be launched with admin privileges
    Web sever timeouts are now configurable per endpoints
    Changes to USB virtual media support
    Status LED now changes in response to BIOS and ME events
    Improved debug logging in web interface
    SOL no longer quits when selecting "no" in the exit prompts
    Web server now sanitizes most endpoints
    SEL now reports correct severity when multiple events are triggered simultaneously
    Additions to JTAG driver to support new functionality for install/removal
    Updates to Yuba City configuration
    Web server password field now handles special characters appropriately


v0.56
    Changes to user model internally (no external impact)
    Fixes issues with SDR parsing in the web interface
    Fixes issues with reading memory dimm information on some platforms
    Serial console login is now controlled seperately from root login for security
    DIMM LED error status no longer resets after an SDR parse
    changes to SSL key/certificate upload mechanisms
    Aggregate sensors will now return a different value when some of their sensors fail to read
    gpio-cmds can now read the direciton (input/output) that GPIO is set
    Removed limitations on user system and removed default users
    Passwords are now encrypted with SHA512
    PS sensor now complies with IPMI specification by setting bit 7 to 1
    Changes to detect malformed SDR records, and not accept them if invalid
    First build with Moss Beach support
    Changes to LAN least driver to improve robustness
    Changes to voltage fault sensor
    Web session timeout no longer resets back to 30 minutes automatically
    default SDR no longer includes UDHS sensors


v0.55
    Changes to NVME information in EWS
    Changes to PET driver
    AIC sensor will only show up when AIC is installed
    Changes to PECI read driver
    First release supporting BuchananPass SFP platform
    CSRF tokens lengthened to improve security
    SOL log IDs now start from 0 not 1
    SOL logs now store 10000 lines of information
    I2c bus contention now supports "auto release" in hardware

v0.54
    Defect fixes only

v0.53
    Defect fixes only

v0.52
    Closure of a number of architectural changes to web server

v0.51
    Defect fixes only

V0.50
    SMI timeout polarity changed internally to provide events correctly
    Web server will now display NVMe Drive firmware versions
    "Get NIC information" command now works correctly when NCSI NICs are'nt present
    ME version numbers now show correctly in the EWS

v0.49
    Changes to web server seveirites on sensor page
    Virtual media now reports the correct status in EWS
    IE is no longer run in compatibility mode
    NVME in web server is no longer greyed out
    Updates javaAP version to 2.2.4
    Master write read will now filter bridge commands correctly for protected elements


v0.48
    Changes to auto rearm sensors
    Fixes to the "get BMC configuration" command
    Fixes Mem VRD temp sensor issues during power on
    PSU now prints more useful debug information
    x509 certificates no longer rely on system time being accurate
    All platforms now enforce read only FRUs on power supplies
    First release with a White River Glacier variants
    Corrections to GPIO clocking procedure
    Discrete sensors no longer assert status on every power on

v0.47
    Fixes to firmware downgrade behavior.  Downgrade now happens correctly
    Adds extra debug output to FRB2 timer

v0.46
	Reenable support for TPM enable/disable commands
	Improvements to CPU error handling logic
	Changes to HSBP handling code
	SAS module FRU now reports the correct size on Wolf Pass
	OEM EWS customization rearchitecture
	EWS now works correctly in IE compatality mode
	Fan errors will now cause system fans to boost correctly
	Changes to GPIO internal locking behavior
	UBoot is no longer available as a boot option
	Safe mode LED behavior is now correct
v0.45
	adds logging mechanisms for tracing effector subsystem issues
	Adds scheme to detect Skylake CPU stepping (A/B) and correct for failure modes present in A step processors
	Changes to discrete sensor handling logic.  Rearm configurations are now per bit, instead of per sensor.
	Removes support for grantely "legacy" SMTP commands.
	Increases to PECI transfer speed
	Fixes to web translation strings for multiple languages
	Debug logs now dump more information on CPU faults.

v0.44
	Upgrades crypto package the OpenSSL 1.0.2j
	First revision of FPGA error handling for Blue Mountain Pass
	KVM now warns if too many sessions are open at once

v0.43
    Invalid DIMM temperature readings are now reported correctly
    HSBP temperature sensors now start 2X faster than previously

v0.42
    Resolve issue with PECI sensor reading incorrectly

v0.41
    Fixes to BMC health sensor
    Adds support for "Sky Meadow" platform
    "set Cold Redundancy Configuration" now enforces an upper bound limit of 6 months
    Restore defaults command now functions correctly if filesystem is corrupt
    Bifricates HSBP images into 2 variants 2.X and 1.X for support of NVME
    First release supporting PCIe AIC temp sensors given a properly formatted FRU
    Implements option 0x04 of the get sm signal command
    Changes to support Yuba City power on
    EWS now provides better chinese translations for the sensor page

v0.40
    System now saves SOL log when SOL logging is disabled.
    Debug log now includes PCIe dump, regarless of failure mode
    Changed functionality of set Tcontrol command
    Changes BMP Product ID from 0x81 to 0x86.
    Changes the SOL Log to be disabled by default
    Support manufacturing verification of JTAG functionality (only for cluster builds)


v0.39
    Updates to firmware signing process
    NMI sensor changes to resolve contention issues
    AICs with blank FRU devices can now be detected when in manufacturing mode
    BNP PSU FRU devices are now read only
    WFP changes to support fan autoprofile correctly

v0.38
    Manual rearm sensors will now correctly disarm
    Adds capabilities to SMTP settings command
    Changes RAKP message timeout
    Fixes for 750W power supply compatibility
    USB firmware update now works while virtual media redirection is in use
    SOL log is now enabled by default
    SEL Global disable is now obeyed
    Reduces the rate of PMbus access to improve stability
    Changes to suppport PCH temp sensor on alpha 2 boards

v0.37
    Changes to KVM session timeout behavior
    SOL log now includes date and time in filename
    Removes the legacy firmware update commands
    Changes to SEL infrastructure to resolve corner case
    Hardware watchdog sensor now sets OEM SEL bits correctly
    Corrections to fault management command
    Deassert events will now fire correctly for manually rearmed sensors

v0.36
    Changes to BMC FW Health sensor to improve robustness and false positives
    SEL performance increased
    Fixes partial SEL Get Entry command
    Enables support for OEM power supplies via SDRs
    Updates to latest version of Aspeed SDK
    SEL now displays correctly in web GUI when SEL log is full and wrapping
    Exit air temp and aggregate sensors are now only available when the system is ON
    Corrections to Nvme temp sensors
    KVM updated to version 2.1.5

v0.35
    Undo the change that causes fan failures to latch due to latent sensor
    issues causing fans to boost.

v0.34
    Changes to IPclean scripting for ODMs and Ip scrubbing
    System Restart cause now shows up Watchdog correctly when watchdog is triggered
    Minor changes to sensor scan loop
    Revert of "new" PSU removal behavior to match Grantely platform
    Implements aggregate sensor #2 for thermal team
    Firmware update now resets correctly on failure
    Changes to STP sensor configurations
    A full restore command now restores the shipping SDR
    Get SM signal now responds with the correct number of bytes
    Fans no longer automatically rearm themselves
    SSB Therm Trip no longer automatically rearms itself
    Change 12V sensor to only be available in certain power states
    Get SM signal now returns the fan precence sensors appropriately
    Changes to SEL logging to fix rarely hit corner case
    Changes to NVMe LEDs

v0.33
    Minor changes to fix issue with install that were introduced in 0.32 release

v0.32
    Minor fix to build process, and inclusion of new FRUSDR utility
    First release to include mib file in the release correctly

v0.31
    Resolve issue where KVM would not display in certain conditions

v0.30
    "Sensor override" command did not obey certain sensors
    Fixes to HSBP temperature reading on certain backplanes
    Fixes to certain sensors triggering the wrong severity

v0.29
    Fix issues with extended SEL bytes on dimm failures
    Debug logs now download correctly
    Changes to do factory restore mechanisms in stages
    Fixes to core EWS logout issues
    More chinese translations

v0.28
    Implements new FRU allocation scheme for PCIe Add in cards
    New changes to i2c drive to improve robustness on possibly failing platforms
    Changes to aggregate sensors for STP
    Fixes to the FIVR event system during failed power ons
    Changes to legal text in EWS
    Changes to "get sensor severity" command when sensor is unavailable
    Get chassis status now properly flags the identify LED in its return codes
    Implements physical security sensor for STP
    Changes to

v0.27
    Removes several "dummy" commands from MTM mode that had no effect
    Improvements to USB firmware update driver
    BNP/WFP now support thermal shutdown on intake air over temp
    NMI button now locks out when front panel is locked out
    Enhancements to I2C driver reliability
    Implements NVME capability for STP platform
    Now logs a SEL entry when CPU status sensor is rearmed
    Integrates 1300W power supply firmware
    Removes default passwords for all users
    Changes some EWS strings for chinese translation
    Adds support for Mezzanine IFT carrier on Wolf Pass Platforms
    Fixes issue where 3+ FRUSDR updates without a reboot would cause asserts
    Disables sensor scanning during FRUSDR update
    EWS SEL page now refreshes the sel list at increments
    Removes LDAP capability
    Works around issue where sometimes NM policy wouldn't be applied

v0.26
    Fixes major crash issue on some platforms

v0.25
    Fixes to critical SDR auto-config issues
    Enables hard drive sensors 13-24 on wolf pass
    Support for AC power lost feature on power good dropout
    Fixes some strings in the web server
    Corrects the EWS to interpret the ME version correctly
    Changes to thermtrip sensor DC on behavior remove some glitches
    Change to sawtooth pass configuration

v0.24
    add BB CPU VR1 sensor for BNP
    fixes to VRD Hot sensor for Wolf Pass
    Updates PSOC firmware to V0.23
    Optimizes SOL Log View in web viewer
    Fixes a possible deadlock when doing a FRUSDR update
    Changes to power control infrastructure to make it more robust
    Fixes to MIC card detection and communication

v0.23
    Modifies help pages for system information and sensor readings to be more helpful
    Disables shell command in SMASH
    Fixes the PSU cold redundancy algorithm
    Fixes some issues at sensor power on time
    Fixes issues with firmware update in safe mode
    Enables support for PHI cards
    SSB therm trip will now log as a critical system status
    Works around deficiency in BIOS that would cause BIOS to page fault
    Adds PEF entries to EWS
    Updates to latest libxml2 package
    Updates SMBIOS access to require operator privilege
    Fixes issue with USB encryption and firmware update
    Boot loader now runs SPI at 50Mhz to match main linux image

v0.22
    First release supporting NVME drives (WFP 1U only at this time)
    Fans now boost when fan errors occur
    Adds riser temp sensors for BNP
    Fixes stability issue with USB driver
    Adds support for 4k block erase to support macronix chips
    Removes "get front panel text" command from Insyde commandset
    Implements hard drive sensors for BNP 12HDD
    Implements rear HDD sensors for wolf pass
    Web server now tracks language preference on a per user basis
    Upgrades busybox to 1.24.2
    Updates to copyright text in webserver
    Implements "capture manufacturer data" command
    Removes WSMAN, and LDAP from get advanced feature support command
    Changes to dimm margin sensor
    Disables RMCP service
    Now verifies size when reading FRU devices to avoid going out of bounds
    Updates I2C kernel driver for more robust transactions
    Fixes email alert problems
    Adds sensors for STP
    Adjusts M.2 drives on WFP to what hardware exists.  Overview document is incorrect.


v0.21
    Updates to Sawtooth pass default and FCT SDRs
    Firmware update will now time out if an error occurs during the transfer process
    Updates to I2C driver from aspeed merged
    Fixes to the DIMM thermal margin sensor
    Implements the system event sensor properly
    Implements HTTP redirect to HTTPS for the web server
    Fan tachs now read correctly for very low speeds (< 1000 rpm)
    Backup BMC firmware version now reported on EWS
    Fixes crash on some BNP units with certain DIMM configurations
    Updates EWS copyright strings to be correct

v0.20
    Makes changes to vendor specific EWS images
    Changes to SMASH component
    Now supports using LDAP and active directory simultaneously
    Sets the reserved channels to disabled by default.
    Implements Set Chassis Capability Command
    Removed fan redundancy sensor on BNP
    Updates definition of the master- write-read command to allow out of spec accesses
    Fan events no longer trigger on platform reset
    Web session now times out correctly if logged into the KVM
    Implements new SEL architecture
    Implements VR13 sensors

v0.19
    Enables PCIe AIC Fru detection for BCP platform
    Updates KVM virtual machine to 2.1.1
    Fixes issues where EWS wouldn't start when upgraded from 0.7 -> 0.18
    Updates to SSL cert web uploading
    Updates to multiple BCP sensors
    Fixes LED behavior when in force update mode
    Updates the SPI flash clock to 50Mhz (was previously 12MHz)

v0.18
    Improves behavior of the fan redundancy sensor
    Fixes issues with HSBP4
    Removes some unused pages in the web interface
    Implements ability to generate SSH keys at first boot
    Improves fan behavior when in safe mode

v0.17
    Rearchitecture of SEL system.  (Should have no external impact)
    Fixes PCIe riser issues on sawtooth pass
    Updates to online help pages
    Implements strong encryption for debug log packages
    Enables HSBP support for 24 hard drive chassis
    Fixed issues with fan tach/fan presence sensors
    Improves accuracy of the web GUI sensors page
    Implements SAS temp sensor
    Updates web server module (lighttpd) to the latest version
    Updates openssl to the latest version

v0.16
    Major sensor scanning system overhaul
    Fixes to Dimm margin sensor
    Adds bad password logging/rate limiting to web server authentication
    Adds "set fault indicator" command to set fault LEDs
    Fixes issues with fans boosting on Wolf Pass
    Improvements to web server logon performance
    Improvements to I2C error handling
    changes KVM default brightness value
    Web server now reuses session if one already exists for user
    Rubix (bootloader) now properly passes power button signals through
    Signs KVM applet with an intel certificate instead of an Insyde one

v0.15
    Implements support for AIC FRU auto detection
    Fixes a number of issues with SDR-autoconfig
    Corrects implementation of fan present sensor
    Implements authentication checking for many web server endpoints
    Limits hostname to 64 bytes
    changes the format of the last upload time on the SDR config web pages
    Generates SEL entries for NMI events
    Adds support for IPV6 to KVM
    Implements support for OCP module temp sensor

v0.14
    Adds support for 1300W power supplies
    Fixes DOS keyboard issue introduced in v0.13
    Resets the I2C system on watchdog reset
    Make fan tachs more consistent

v0.13
    Adds sensor filtering capability
    Performance improvements to EWS
    Moves SSL to SHA256 for better security
    Enables the use of the "uptime" command
    Implements BMC generated TPM enable
    Adds the "get advanced support" command

v0.12
    Fans off information is now saved persistently
    more BNP temperature sensors are now functional
    NMI button now works as expected
    KVM hotkey changes to resolve conflict
    Implement crypto key replacement

v0.11
    Fixes to intel EWS customization
    Improved EWS performance for some pages
    Implementent LAN NIC temp sensor for BNP
    Fixes issues in SDR autoconfig

v0.10
    Fan control enabled for Wolf Pass platforms
    Most sensors operational (make sure to load the latest SDR)
    Removed the use of the Fan Scaling records
    Adds OEM command for bad user password feature
    Implements CCB 288 (SNMP trap enhancements)
    Implements the "write SSL certificate" OEM command for the EWS
    Update the EWS to use the currently installed SDR for FRU detection
    Adds intel "look and feel" to EWS
    Adds max system CFM feature
    Enables Lan NIC temp and PCH temp
    Fixes a FRU issue with writing to risers
    Improvements to fan tach reliabiliity

v0.9
    Wolfpass, most temperature sensors now functional including risers, baseboard
        temp sensors, exit air temp sensors, front panel.  LAN Nic temp and PCH
        temp still non-functional.
    Wolfpass, FRU mapping corrected
    I2C "ping" ) read 0 write now functions
    "Get Advanced support configuration" command implemented.
    Implemented mux support for access to PCIe cards
    Boot loader now logs SEL events when booted in safe mode
    Implementation of CCB for bad password errata

v0.8
    Adds SIO register for identifying chip identify
    Sets default mouse mode to absolute mode
    Fixes some power control issues
    Fixes issue on wolf pass where only 1 fan sensor functioned
    Adds a script to test the watchdog timer


v0.7
    Fixes for enabling espi
    23 defects resolved.  See defect section below for resolved defects.
    Workaround for BIOS hang issue by disabling system checksum
    updates to virtual media system
    Fixes an issue where long usernames would cause a BMC failure when setting password

v0.6
    Fix EPSD100250957 Session expired when Login to EWS with new BMC IP address.
    Make signed images use the correct ID for Purley generation images.
    Enable SDR auto config from EWS
    Fix EPSD100250910 EWS -> Remote Control -> Virtual Front Panel Chassis ID Button does nothing
    Fixes EPSD100250984.  EWS crashes when adding a user with long characters username or password
    duce binary size of ipmid
    Adds SDR auto config to EWS
    Fixes issue where EWS would report incorrect BMC FW version number.
    Fixes issue when using max character length for both username and password
    moves KCS loopback functionality
    Fixes EPSD100030923 and EPSD100030920.  Issues recieving on X550 network channel
    Fixes issue with dimm offset when reading dim margin value

v0.5
    Implements SDR auto config.  Power supply hot swap now functional.
    Fixes issue where Get OEM Device ID command would return the incorrect response length
    Fix an issue where espi registers initialized without OOB messaging enabled
    Add PSU cold redundancy capability
    Disable PSU firmware downgrade for critical fixes, per CCB74
    Add the ability to update HSBP firmware
    Correct issue with Lewisburg NCSI device ID to enable 10GbE NIC
    PSU firmware update functional
    Full in system firmware update available

v0.4
    Improvements to HSBP firmware update capabilities
    Least significant digit of version was incorrectly reported
    add capability for force update jumper "safe mode"
    Logs are now saved on watchdog reset
    Fixed watchdog reset issues when using DHCP hosts without an entry for localhost
    Properly report firmware update status in Get Device ID command
    Remove extra byte returned from Get KCS Buffer Size command
    Images are now signed with the appropriate key
    Fix "NO SIGNAL" issue on KVM
    Minor updates to watchdog service
    Added Dimm margin sensor
    Fixes issue with fw update not supporting certain buffer lengths

v0.3
    Firmware update is functional
    Power supply communication functional
    ipmid now prints to console by default
    watchdog corner case fixed and IPMI commands enabled
    Fixed assert on reboot after loading specific SDRs
    Chassis identify LED now works correctly
    KVM mouse sync issues improved
    Implement shim for Set Front Panel Enables IPMI command
    Dedicated NIC now shows proper MAC address
    Migrated least significant version number to SHA1 of git commit

v0.2
    First official release supporting purley platform

===============================================================================
                                DEFECTS RESOLVED
===============================================================================
v2.88j-ww11
    15012183195 - [Purley][22'Q4][Internal test] BMC cannot be updated from 2.88.22563765 to 2.88.22563765 under UEFI Shell
    15011050603 - [Purley] The problems about EWS help text in English and Chinese version.
    15012249643 - [Purley][22'Q4][Internal test]When create IVM of 150M and then upload a 30M file via redfish, it returns 500 error
    15011596494 - [BMC][BNP] random fan boost in L9 BNP system
    2103641613 - [STP]Install windows/linux OS failure via HTML5
    15011969420 - [Purley] FRU and sensor info lost after several DC cycling
    16015595685 - [Utilities] [SDPTool-4.0.0] [Purley] - Stress failure on IVM
    2103649750 - [STP]After mounting a virtual media via iKVM and selecting the Device again, it  will pop up a message "Exist an effective Connect from others ".
    15010737507 - [Purley][Buchanan Pass] BMC doesn't check the ISO/IMG header when mount virtual media via WebISO
    1507285344 - Upgrade libxml2 from v2.9.8 to v2.9.9
    2103650029 - [Purley][WFP] the response is wrong for IPMI command Get DIMM Information (DIMM assert slot).
    2103648087 - [STP]The device mount function on iKVM console menu Virtual Media > virtual storage can't be released.
    2103649160 - [Purley][WFPR/WKP] The SEL has no description about  "SPS FW Health" on EWS.
    2103648972 - [Purley][WKP] the response is wrong for IPMI command Get DIMM Information (DIMM assert slot).
    2103643376 - [STP][internal virtual media]After mount a internal VM in redfish and turn off iKVM,the mounted internal VM will be automatically unmounted in OS
    15010705608 - [STP][Redfish]After mounting the ISO through redfish and then reset BMC, the EWS and redfish will hang up.
    2103647672 - [Purley][WFP] Run DC/AC cycling with SP3RT040X16SPP Retimer card, port 1~3 connected nvme drives will be lost(drive LED is off). Fail rate 178/200
    15010697059 - [Purley][BNP] Session will reach to the maximum if repeat login and then logout the BMC EWS Web
    15010705258 - [STP][Redfish]When uploading a compressed file with Spaces or & in the file name via redfish, it only displays a file link in the OEM list.
    15010704983 - [STP][Redfish]When a zip or gz file containing a folder is uploaded via redfish,the timestamp of some files are displayed as 1935.
    2103648673 - [STP]The policy suspend timers can't be disabled when change the Policy Suspend Timers from "Yes" to "No".
    2103648677 - [STP]The ISO/IMA file can't be mounted in the Virtual Media > virtual storage > Device 2/Device 3 after mounting a folder in Device 1.
    2103648687 - [STP]When select media type to ISO/IMG/IMA in virtual media over HTML5,all ISO/IMG/IMA files can't be displayed in the "ISO.IMG.IMA File" search mode.
    2103648682 - [STP]Chinese and English EWS help information does not match.
    2103648097 - [STP]After AC off SUT,the HTML5 KVM session doesn't give any prompts of disconnection.
    2103647974 - [STP]The LAN channel1/2 are missing in the EWS->IPv4 Network Settings when power off SUT.
    15010550057 - [Purley]Unnecessary prompt pops up when upload 2048-bits certificate
    16015511567 - [SDPTool][Purley][Internal Virtual Media] Files in internal virtual media are accessible without BMC credential
    2103648046 - [Purley][WKP]The EWS "NIC Information" and "Storage Information" can't detect any device with BMC 2.88.
    2103647923 - [STP]The client IPv6 address is not displayed on the EWS->Current Users page when login the EWS with a dynamic BMC IPv6 address.
    1509875853 - [Purley][ Internal Virtual Media] Upload an encrypted file via Internal Virtual Media, the response is successful but no file can be accessed under OS
    2103644460 - [STP]The warning dialog box have some English words and missing a double quotation mark in Chinese EWS when upload a new SSL certificate
    2103647768 - [Purley][WFP/WKP] The BMC force update is failure with BMC 2.88.
    2103647740 - [Purley][WFP] the FTF FSC function test fail with BMC 2.88.
    22014254977 - Stack buffer overflow SendRawPECI IPMI command
    22014214787 - MDR SendMsgBlock redundacy fail
    22014086811 - System memory info leak in MDR commands
    22014076835 - Integer overflow in AgentSMBIOS_SendDataBlock causes memory corruption
    14015534437 - Double free on AgentSMBIOS_DataStart MDR command
    14012941881 - S2600BP : PSU on 3 Compute Module system chassis is reporting 0% current out and PS status indicating "Power Supply AC lost"
    15010173897 - [Purley][BNP]The complex password is abnormal with high level. (username: testuser2 / Password: 4rfv$RFVB)
    15010183182 - [Purley][ Internal Virtual Media] Update BIOS via EWS/Redfish, the mounted image will be automatically unmounted to BMC
    22014000969 - Incorrect BMC password logged in SEL; incorrect BMC user not logged in SEL
    14014263553 - NVMe drive information on HSBP3/Drive2 appears duplicated with HSBP3/Drive1 on BMC Web console
    2103644569 - Redfish: Use Postman tool to mount an "empty" txt file, it shows an extra string in the content of the mounted file
    15010201274 - [Purley][Point release][CCB3478/3457] Cannot set Bypass BIOS password flag by ipmitool via LAN1/2
    2103643169 - [Purley][WFP/WKP]The Java Cert validity period is not match the release note for BMC v2.86
    1509724299 - [Purley][STP]Sometimes the web  login event log is not logged in log file when login out EWS and login again.
    1509724203 - [Purley][STP]The client IP address displays the abnormal address "#011 "privilege": #011 "4"".
    2103642881 - [STP]The date and time is synchronized with the secondary NTP server when both the primary and secondary NTP server are configured
    1509725178 - [Purley][WFP/WKP]The SOL log view is no display after running "ls -lR" command.
    2103643384 - [STP][internal virtual media]The Oem list can only display 20 file links
    2103643380 - [STP][internal virtual media]Failed to download files from the internal VM to OS
    2103643416 - Login to EWS with LDAP or AD users, there shows a new added "CPLD Update" option in the "Configuration" menu
    2103643309 - [STP]SUT will fail to connect to the SSH console after change default port number to other port

v2.87
    2103643393 - [STP] it pops up an empty dialog box when replace a new certificate with 512 bits or 1024 bits in Chinese EWS
    2103643315 - [STP]The SSH console is still active when disable SOL SSH in EWS
    2103642310 - [STP]There is no link to channel 4 in redfish after enable HOST interface
    1509762682 - [Purley][WKP]The ca signed of the 4096-bit SSL certificate are error when viewed in Redfish after successfully uploaded via EWS
    1509732850 - [Purley][STP]Restore BMC with checking "Keep User and LAN configuration",IPV4 Network Settings has abnormal behavior.
    1509732551 - [Purley][STP]The primary port is changed when restore BMC with checking "Keep User and LAN configuration"
    1509675014 - [Purley][STP]When set SMTP authentication Method to "Authentication after STARTTLS" or "Authentication over TLS/SSL session", the email alert function is failed.
    1509673621 - [Purley][STP]The "PercentComplete" always is 60 when simple update BMC via redfish.
    2103642161 - [STP]The“Advanced System Management Key”item in EWS shouldn’t be displayed in Purely project
    1509732255 - [Purley][STP]There are four channel options in EWS->VLAN Settings->LAN Channel.
    1509724643 - [Purley][WFP/WKP]The mounted samba img file via Web ISO can't be opened or auto-detected by SUT OS.
    1509417498 - #CCB 3402: [Purley][Buchanan Pass] With three virtual media devices mounted by HTML5,  mounting the new image created by internal interface via Redfish, the response is 200 OK and with no error info
    2103642381 - [STP]The boot order can't be changed via redfish
    2103642152 - [Purley][WFPR/WKP] The DIMM location is incorrect for "Mem err Sensor" SEL in EWS.
    2103642154 - [Purley][WFPR/WKP] Change KVM(Secure) port value, open KVM /HTML5 KVM session and it will be disconnected automatically soon. (BMC 2.83)

v2.86
    1508380544 - [SOW] BMC doesn't check the ISO image header when via HTML5 mount ISO image
    1509357645 - [Purley][Buchanan Pass] User can't use Redfish to replace/upload a new certificate instead of current one
    1509357868 - [Purley][Buchanan Pass]User can not use EWS to replace/upload a new certificate instead of current one
    1509411390 - [Purley][STP]KVM "mouse mode setting" screen in ews shows exceptions
    1509417498 - #CCB 3402: [Purley][Buchanan Pass] With three virtual media devices mounted by HTML5,  mounting the new image created by internal interface via Redfish, the response is 200 OK and with no error info
    1509439269 - [PURLEY] [BMC]lost dynamic IP after online update BMC 2.83
    1509442200 - [BMC][purley]mixed  up in get nvme information command
    1509464162 - #CCB 3402: [Purley][Buchanan Pass] The file of size larger than 33M cannot be uploaded to the newly image created via Redfish internal interface
    1509486843 - #CCB 3402: [Purley][Buchanan Pass] Unmount image is successful while the image is not mounted
    1509673621 - [Purley][STP]The "PercentComplete" always is 60 when simple update BMC via redfish.
    1509675014 - [Purley][STP]When set SMTP authentication Method to "Authentication after STARTTLS" or "Authentication over TLS/SSL session", the email alert function is failed.
    1509724643 - [Purley][WFP/WKP]The mounted samba img file via Web ISO can't be opened or auto-detected by SUT OS.
    1509732255 - [Purley][STP]There are four channel options in EWS->VLAN Settings->LAN Channel.
    1509732551 - [Purley][STP]The primary port is changed when restore BMC with checking "Keep User and LAN configuration"
    1509732850 - [Purley][STP]Restore BMC with checking "Keep User and LAN configuration",IPV4 Network Settings has abnormal behavior.
    1509762682 - [Purley][WKP]The ca signed of the 4096-bit SSL certificate are error when viewed in Redfish after successfully uploaded via EWS
    2103641466 - [Purley][WFPR/WKP]The UI for "anonymous" user is abnormal and can't be modified in EWS
    2103641472 - [STP] The Mount type is missing NFS in web ISO help page
    2103641482 - [STP]Alert events cannot all be selected when click "Check All" button in EWS->Configuration->Alerts page
    2103641549 - [STP]There is an extra character '<' in the Date&Time help page in the Chinese EWS
    2103641607 - [STP]There is a unknow item in EWS->Miscellaneous->Power Statistics
    2103641618 - [STP]there is missing size limitation definition for Virtual Media Over HTML5 help page in EWS
    2103641755 - [Purley][WKP]Open EWS -> Miscellaneous -> Power Statistics, it will pop-up a caution about NM initialization have problem. (BMC 2.83)
    2103641774 - [STP] KVM cannot open Via JRE due to JAVA certificate expired.
    2103641816 - [STP]The NTP server IP can't be set successfully when NTP server IP is xxx.xxx.xxx.1~9 in EWS
    2103642152 - [Purley][WFPR/WKP] The DIMM location is incorrect for "Mem err Sensor" SEL in EWS.
    2103642154 - [Purley][WFPR/WKP] Change KVM(Secure) port value, open KVM /HTML5 KVM session and it will be disconnected automatically soon. (BMC 2.83)
    2103642161 - [STP]The“Advanced System Management Key”item in EWS shouldn’t be displayed in Purely project
    2103642274 - [STP]Alert events cannot all be cleared when click "Clear All" button in EWS->Configuration->Alerts page page
    2103642310 - [STP]There is no link to channel 4 in redfish after enable HOST interface
    2103642388 - [STP]The EWS can't be opened when online update BMC from 2.48(upload new certificate) to 2.83
    15010010055 - [Purley][Internal Tool]cannot decrypt BMC debug log
    1509261003 - [BNP][L9][Showstopper]Exit Air Temp (#0x2E) CRITICAL event: Exit Air Temp reports the sensor is high, critical, and going higher state.
    1509352602 - [Purley][Buchanan Pass] ISO image mount via Redfish fail.
    1509363546 - [Purley][Buchanan Pass]User can not use Redfish to upload CA certificate success
    1509118656 - [Purley][STP]Get event log abnormal in EWS after updating BIOS
    14012450677 - Wolf Pass system reboots by interacting with OS Watchdog
    1507285344 - Upgrade libxml2 from v2.9.8 to v2.9.9
    1509247112 - [PURLEY][BMC][IPS 00615607]redfish alerting has power on/off backwards
    16013122517 - SDPTool [DEV] - SDR Upload issue
    16012935938 - [Purley][Buchanan Pass]When BMC is running factory image, try to update BMC, BMC backup image instead of  primary image will  be updated.
    1509122866 - [Purley][WFP]Can’t mount Virtual Media via Redfish.
    2103639108 - [Purley][WFPR]It reports PSU1 FAN fail in SEL after AC cycle with BMC 2.48.f831fbb5.
    2103636406 - [Purley][WFPR]The settings is no function for "BootSourceOverrideMode" in Redfish.
    22012657916 - jQuery vulnerability affecting Wolf Pass
    22012633532 - BMC EWS  iKVM over HTML5 disconnects, when Date or Time is selected and keypad '+' [scan code 79] is press
    2103635937 - [Purley][WFPR][900W DC] The PSU FW isn't match the BMC release note
    2103636054 - [Purley][WFPR][900W DC] The blackbox data shows “This feature is not supported by any power supplies in the system” in the BMC debug log file.
    2103639150 - [Purley][WKP] Some MemoryLocation info show "null" when check it by Redfish
    1508892684 - [Purley][Buchanan Pass] the warning message is incorrect while adding the same user name in EWS.
    1508871269 - User can set the same username as the password when user sets username separately which mismatch Password Complexity rule

v2.78
    2209858616 - Rapid power cycling on Wolf Pass Purley leaves power supply in status of 0x0980
    2103637171 - EWS: Occasionally after we login to the EWS, it will show a information "You don’t have privilege to perform this action." later
    2103637124 - [STP][Redfish]The static IPv6 address can't be set via redfish.
    1508593254 - [BMC EWS]some changes for BMC EWS - Intel LOGO, DCPMM to PMem

v2.70
    2103637984 - [Purley][WKP]After enable LAN failover with LAN1(primary channel)+ LAN3, the link status is down when remove LAN1 cable.
    1508659554 - When set Bonding between 3 LAN channels with Primary port = LAN1, the link status of channel1 is "DOWN" after removing the channel1 cable.
    1508664747 - [Purley]Complex password setting mismatch between BMC EWS and BIOS SETUP after updating SUP R0012 to R0013
    2103637125 - [STP]The channel4 ip address can't be ping successfully when set bonding with Primary port as LAN1
    2103637120 - [STP] The update message is shown as "BIOS" when update ME FW via redfish
    2103637119 - [STP]There is a warning messages when click on the BIOS Configurations page immediately after logging in to the EWS.
    2103637217 - [Purley][WFPR]The prompt info is incorrect when try to mount 4th vMedia device via vmviewer.
    2103636075 - [STP]New users created before enabling host interface cannot log on to channel 4's EWS.
    2103636299 - [STP][SOW][the deleted user network privilege still exist in channel 4 when delete a user via channel 3
    2103636301 - [STP]The new user 's network privilege is invaild in channel4 when create a new user in channel3 with same ID
    2103637174 - EWS: There is a type error in the help document of the "Security Settings" option
    2103637181 - EWS: There is a type error in the "Miscellaneous" ---> "NM Configuration" option
    2103637103 - [Purley][WFPR]There is no Connection information in Connection Status History (Virtual Storage) when mount vmviewer vMedia.
    2103637104 - [Purley][WFPR]There is no Disconnection information in Connection Status History (Virtual Storage) when un-mount vmviewer vMedia.
    2103636977 - [Purley][WFPR] Web ISO settings can't be saved in EWS with BMC 2.48d.
    2103636978 - [Purley][WFPR] There is no login failure prompt when Callback user try to login EWS with BMC 2.48d.
    2103636911 - [Purley][WFPR] The Date&Time Help document content is not match the Date&Time setting page in EWS.
    2103636933 - [STP]The KVM delete button on the current users page in the EWS is invalid
    2103636982 - [STP]The "+-" button of the KVM number bar on the Current Users page in the EWS is invalid
    2103636945 - [STP]The information of the channel3/4 are lost in EWS when SUT have 4 NIC port in BIOS NIC Configuration
    2103636814 - [Purley][WKP] There is "Channel-2" in the IPv4/IPv6 Network settings when LAN Failover enabled.
    2103636789 - [Purley][WFPR][SOW] There isn't "Save" option in EWS (Active Directory) Help information when login with Chinese language
    2103636787 - [Purley][WFPR] The "HTTPS" is changed to "HTTP" in EWS (Security Settings) when login with Chinese language.
    2103636724 - EWS: It can not mount the media through the device 1, device 2, device 3 and device 4 options concurrently
    1508442467 - [Design optimize] Consider to optimize the NTP date and time display in EWS
    2103636788 - [Purley][WFPR] There isn't "Port Settings" option in EWS (Security Settings) Help information when login with Chinese language.
    2103636461 - Enable the complex password and set the password complexity to "Low", it still can use the "qw12!@" string to the user password
    2103636691 - [STP]The example password should not allowed in the help page for high complex password
    2103636083 - [SOW][STP]The HI BMC IP can't be modified when enable LAN failover and set the primary LAN channel to channel-1.
    2103636533 - [STP]debug console will pop some error messages when click "IPv4 Network"/"IPv6 Network"/"Web ISO" page in the EWS

v2.63



===============================================================================
                             REFERENCE MATERIAL
===============================================================================
Common (integrated) BMC Firmware EAS
(integrated) BMC Firmware Common Core EPS
